org.apache.myfaces.trinidad.model

## Enum SortStrength

- java.lang.Object
- - java.lang.Enum<SortStrength>
  - - org.apache.myfaces.trinidad.model.SortStrength

- All Implemented Interfaces:
    Serializable, Comparable<SortStrength>

      public enum SortStrength
      extends Enum<SortStrength>

  This class provides an enumeration to work with the integer values of the `Collator` strength values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IDENTICAL`
    `PRIMARY`
    `SECONDARY`
    `TERTIARY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStrength()` retrieves the strength, the integer strength value matches that of the `Collator`
    `static SortStrength` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SortStrength[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDENTICAL

          public static final SortStrength IDENTICAL

      See Also:
        `Collator.IDENTICAL`

    - #### PRIMARY

          public static final SortStrength PRIMARY

      See Also:
        `Collator.PRIMARY`

    - #### SECONDARY

          public static final SortStrength SECONDARY

      See Also:
        `Collator.SECONDARY`

    - #### TERTIARY

          public static final SortStrength TERTIARY

      See Also:
        `Collator.TERTIARY`

  - ### Method Detail

    - #### values

          public static SortStrength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SortStrength c : SortStrength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SortStrength valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStrength

          public int getStrength()

      retrieves the strength, the integer strength value matches that of the `Collator`
      Returns:
        strength value which matches `Collator` strength values.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.